package com.muyu.engine.basic.handler;

import com.muyu.common.core.text.Convert;
import com.muyu.common.domain.DataSet;
import com.muyu.common.domain.DataValue;

/**
 * @Author：蓬叁
 * @Package：com.muyu.engine.basic.handler
 * @Project：cloud-rule
 * @name：DataEngineValueHandler
 * @Date：2024/8/29 下午3:21
 * @Description: 数据值作用域
 */
public class DataEngineSetHandler {

    public static final ThreadLocal<DataValue[][]> threadLocal = new ThreadLocal<>();

    public static void set(DataValue[][] dataValue){
        threadLocal.set(dataValue);
    }

    public static DataValue[][] get(){
        return threadLocal.get();
    }


}
