package com.muyu.generate;

import com.muyu.common.domain.DataValue;
import com.muyu.engine.basic.abstracts.DataEngineValueActuator;

import java.lang.reflect.Parameter;
import java.util.regex.Pattern;

/**
 * @Author: admin
 * @date: 2024/09/01 20:53:03
 * @Description: 邮箱测试31.0_AWEOIF
 * @Version: 1.0
 */
public class GenerateEmailAWEOIF extends DataEngineValueActuator {
    @Override
    public void run () {
        DataValue dataValue = get();
        if (verifyEmail(dataValue.getValue())){
            System.out.println("邮箱校验[成功]:"+dataValue.getValue()+"格式正确");
        }else {
            System.out.println("邮箱校验[失败]:"+dataValue.getValue()+"格式错误");
            throw new RuntimeException();
        }
    }
    public static boolean verifyEmail(Object email){
        return Pattern.matches("^[A-Za-z0-9\\u4e00-\\u9fa5]+@[a-zA-Z0-9_-]+(\\.[a-zA-Z0-9_-]+)+$", email.toString());
    }
}
//    DataValue dataValue = get();
//        if (dataValue == null){
//        System.out.println("数据为空，需要丢弃。");
//    } else {
//        System.out.println("数据非空，数据：" + dataValue);
//    }
