package com.muyu;

import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.cloud.openfeign.FeignClient;

/**
 * @Author：蓬叁
 * @Package：com.muyu
 * @Project：cloud-rule
 * @name：MuYuRuleDataApplication
 * @Date：2024/8/22 下午7:49
 */
@SpringBootApplication
@EnableMyFeignClients
@EnableFeignClients(basePackages = {"com.muyu"})
public class MuYuRuleDataApplication {
    public static void main(String[] args) {
        SpringApplication.run(MuYuRuleDataApplication.class, args);
    }
}
